﻿Type=StaticCode
Version=2.00
@EndOfDesignText@
Sub Process_Globals

End Sub

Sub EncodeTID(xString As String) As String
	Dim xc As Int
	Dim xLine As String

	xLine = ""
	xString = xString & "00000000"

	For xc = 1 To 4
		xLine = xLine & xString.SubString2(0,2)
		xLine = xLine & CheckDigit(xLine)
		xString = xString.SubString(2)
	Next

	Return xLine
End Sub

Sub CheckDigit(xString As String) As String
	Dim xResult As Int

	xResult = 0

	Do While xString.Length > 0
		xResult = xResult + Val(xString.SubString2(0,1))

		If xResult > 9 Then
			xResult = xResult - 9
		End If

		xString = xString.SubString(1)
	Loop

	Return (9 - xResult)
End Sub

Sub Msg(xString As String)
	DateTime.TimeFormat = "HH:mm:ss"
	Log(DateTime.Time(DateTime.Now) & " " & xString)
End Sub

Sub httpString(xString As String) As String
	xString = xString.Replace(" ","%20")
	xString = xString.Replace("&","%26")
	xString = xString.Replace("'","%27")
	xString = xString.Replace(",","%2C")
	xString = xString.Replace("?","%3F")

	Return xString
End Sub

Sub FriendlyTime(xData As String) As String
	mLine = xData.SubString(xData.Length - 4)

	If mLine.SubString2(0,2) = "00" Then
		mLine = "12" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "12" Then
		mLine = "12" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "13" Then
		mLine = "1" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "14" Then
		mLine = "2" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "15" Then
		mLine = "3" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "16" Then
		mLine = "4" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "17" Then
		mLine = "5" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "18" Then
		mLine = "6" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "19" Then
		mLine = "7" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "20" Then
		mLine = "8" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "21" Then
		mLine = "9" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "22" Then
		mLine = "10" & ":" & mLine.SubString2(2,4)
	Else If mLine.SubString2(0,2) = "23" Then
		mLine = "11" & ":" & mLine.SubString2(2,4)
	Else
		mLine = mLine.SubString2(0,2) & ":" & mLine.SubString2(2,4)
	End If

	Return (xData.SubString2(0,xData.Length - 4) & " (" & mLine & ")")
End Sub

Sub NumOnly(xString As String) As String
	Dim xLine As String
	Dim xNumbers As String
	Dim xz As Int

	xLine=""
	xNumbers = "0123456789."

	For xz = 0 To xString.Length - 1
		If xNumbers.IndexOf(xString.CharAt(xz)) >= 0 Then
			xLine = xLine & xString.CharAt(xz)
		End If
	Next

	Return xLine
End Sub

Sub Val(xString As String) As Float
	If xString.Length <1 Then
		Return 0
	Else
		Return NumOnly(xString)
	End If
End Sub

Sub sNumber(xAmount As Double,xLen As Int) As String
	Dim xLine As String
	Dim xTemp As String

	xTemp = "                    "

	xLine = NumberFormat2(xAmount,1,2,2,True)

	Return (xTemp.SubString2(0,xLen - xLine.Length) & xLine)
End Sub

Sub sString(xString As String,xLen As Int) As String
	Do While xString.Length < xLen
		xString = xString & " "
	Loop	

	Return xString
End Sub

Sub Trim(xString As String) As String
	Return(xString.Trim)
End Sub

Sub TransType(xString As String) As String
	If xString = "2" Then
		Return "2 Ball  "
	Else If xString = "3" Then
		Return "3 Ball  "
	Else If xString = "4" Then
		Return "4 Ball  "
	Else If xString = "B" Then
		Return "Borlette"
	Else If xString = "M" Then
		Return "Marriage"
	Else
		Return "Error   "
	End If
End Sub

Sub Right(xString As String,xLen As Int) As String
	If xLen >= xString.Length Then
		Return(xString)
	Else
		Return(xString.SubString(xString.Length - xLen))
	End If	
End Sub

Sub Left(xString As String,xLen As Int) As String
	If xLen >= xString.Length Then
		Return(xString)
	Else
		Return(xString.SubString2(0,xLen))
	End If
End Sub

Sub Len(xString As String) As String
	Return(xString.Length)
End Sub

Sub RightTrim(xString As String) As String
	Do While xString.EndsWith(" ")
		xString = xString.SubString2(0,xString.Length -1)
	Loop

	Return xString
End Sub

Sub MakeDate(xString As String) As String
	Dim xLine As String

	xLine = xString.SubString2(4,6) & "-"
	xLine = xLine & xString.SubString2(6,8) & "-"
	xLine = xLine & xString.SubString2(0,4) & " "
	xLine = xLine & xString.SubString2(8,10) & ":"
	xLine = xLine & xString.SubString2(10,12) & ":"
	xLine = xLine & xString.SubString2(12,14)

	Return xLine
End Sub

Sub RoundMeUp(xAmount As Double) As Double
	Dim xString As String
	Dim xNumber As Int

	xString = sNumber(xAmount,10)
	xNumber = xString.SubString(8)

	If xNumber = 0 Then
		Return xAmount

	Else If xNumber <= 25 Then
		xNumber = xAmount
		xAmount = xNumber + 0.25
		Return xAmount

	Else If xNumber <= 50 Then
		xNumber = xAmount
		xAmount = xNumber + 0.50
		Return xAmount

	Else If xNumber <= 75 Then
		xNumber = xAmount
		xAmount = xNumber + 0.75
		Return xAmount

	Else
		xNumber = xAmount
		xAmount = xNumber + 1
		Return xAmount

	End If
End Sub
